Properties Methods Events Config Options Direct Link

    Element
      Layer

# Class Ext.Layer

Package: | Ext
Defined In: | Layer.js
Class: | Layer
Extends: | Element

An extended Ext.Element object that supports a shadow and shim, constrain to viewport and automatic maintaining of shadow/shim positions.

## Config Options

Config Options | Defined By
--- | ---
| cls : String CSS class to add to the element | Layer
| constrain : Boolean False to disable constrain to viewport (defaults to true) | Layer
| dh : Object DomHelper object config to create element with (defaults to {tag: 'div', cls: 'x-layer'}). | Layer
| shadow : String/Boolean True to automatically create an Ext.Shadow, or a string indicating the shadow's display Ext.Shadow.mode. False to dis... True to automatically create an Ext.Shadow, or a string indicating the shadow's display Ext.Shadow.mode. False to disable the shadow. (defaults to false) | Layer
| shadowOffset : Number Number of pixels to offset the shadow (defaults to 4) | Layer
| shim : Boolean False to disable the iframe shim in browsers which need one (defaults to true) | Layer
| useDisplay : Boolean Defaults to use css offsets to hide the Layer. Specify `true` to use css style `'display:none;'` to hide the Layer. | Layer
| zindex : Number Starting z-index (defaults to 11000) | Layer

## Public Properties

Property | Defined By
--- | ---
| DISPLAY : Number Visibility mode constant for use with setVisibilityMode. Use display to hide element | Element
| OFFSETS : Number Visibility mode constant for use with setVisibilityMode. Use offsets (x and y positioning offscreen) to hide element. | Element
| VISIBILITY : Number Visibility mode constant for use with setVisibilityMode. Use visibility to hide element | Element
| autoBoxAdjust : Object true to automatically adjust width and height settings for box-model issues (default to true) | Element
| defaultUnit : String The default unit to append to CSS values where a unit isn't provided (defaults to px). | Element
| dom : HTMLElement The DOM element | Element
| id : String The DOM element ID | Element
| originalDisplay : String The element's default display mode (defaults to "") | Element
| visibilityCls : String Defaults to 'x-hide-nosize' | Element

## Public Methods

Method | Defined By
--- | ---

Layer( `Object config`, [`String/HTMLElement existingEl`] )
Parameters:

- `config` : Object
  An object with config options.
- `existingEl` : String/HTMLElement
  (optional) Uses an existing DOM element. If the element is not found it creates it.

Returns:

- void

Layer

addClass( `String/Array className` ) : Ext.Element
Adds one or more CSS classes to the element. Duplicate classes are automatically filtered out.
Adds one or more CSS classes to the element. Duplicate classes are automatically filtered out.
Parameters:

- `className` : String/Array
  The CSS class to add, or an array of classes

Returns:

- `Ext.Element`
  this

Element

addClassOnClick( `String className` ) : Ext.Element
Sets up event handlers to add and remove a css class when the mouse is down and then up on this element (a click effe...
Sets up event handlers to add and remove a css class when the mouse is down and then up on this element (a click effect)
Parameters:

- `className` : String

Returns:

- `Ext.Element`
  this

Element

addClassOnFocus( `String className` ) : Ext.Element
Sets up event handlers to add and remove a css class when this element has the focus
Sets up event handlers to add and remove a css class when this element has the focus
Parameters:

- `className` : String

Returns:

- `Ext.Element`
  this

Element

addClassOnOver( `String className` ) : Ext.Element
Sets up event handlers to add and remove a css class when the mouse is over this element
Sets up event handlers to add and remove a css class when the mouse is over this element
Parameters:

- `className` : String

Returns:

- `Ext.Element`
  this

Element

addKeyListener( `Number/Array/Object/String key`, `Function fn`, [`Object scope`] ) : Ext.KeyMap
Convenience method for constructing a KeyMap
Convenience method for constructing a KeyMap
Parameters:

- `key` : Number/Array/Object/String
  Either a string with the keys to listen for, the numeric key code, array of key codes or an object with the following options: `{key: (number or array), shift: (true/false), ctrl: (true/false), alt: (true/false)}`
- `fn` : Function
  The function to call
- `scope` : Object
  (optional) The scope (`this` reference) in which the specified function is executed. Defaults to this Element.

Returns:

- `Ext.KeyMap`
  The KeyMap created

Element

addKeyMap( `Object config` ) : Ext.KeyMap
Creates a KeyMap for this element
Creates a KeyMap for this element
Parameters:

- `config` : Object
  The KeyMap config. See Ext.KeyMap for more details

Returns:

- `Ext.KeyMap`
  The KeyMap created

Element

addListener( `String eventName`, `Function fn`, [`Object scope`], [`Object options`] ) : Ext.Element
Appends an event handler to this element. The shorthand version on is equivalent.
Appends an event handler to this element. The shorthand version on is equivalent.
Parameters:

- `eventName` : String
  The name of event to handle.
- `fn` : Function
  The handler function the event invokes. This function is passed the following parameters:
  - evt : EventObject
    The EventObject describing the event.
  - el : HtmlElement
    The DOM element which was the target of the event. Note that this may be filtered by using the `delegate` option.
  - o : Object
    The options object from the addListener call.
- `scope` : Object
  (optional) The scope (`this` reference) in which the handler function is executed. If omitted, defaults to this Element..
- `options` : Object
  (optional) An object containing handler configuration properties. This may contain any of the following properties:
  - scope Object :
    The scope (`this` reference) in which the handler function is executed. If omitted, defaults to this Element.
  - delegate String:
    A simple selector to filter the target or look for a descendant of the target. See below for additional details.
  - stopEvent Boolean:
    True to stop the event. That is stop propagation, and prevent the default action.
  - preventDefault Boolean:
    True to prevent the default action
  - stopPropagation Boolean:
    True to prevent event propagation
  - normalized Boolean:
    False to pass a browser event to the handler function instead of an Ext.EventObject
  - target Ext.Element:
    Only call the handler if the event was fired on the target Element, not if the event was bubbled up from a child node.
  - delay Number:
    The number of milliseconds to delay the invocation of the handler after the event fires.
  - single Boolean:
    True to add a handler to handle just the next firing of the event, and then remove itself.
  - buffer Number:
    Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.

  Combining Options
  In the following examples, the shorthand form on is used rather than the more verbose addListener. The two are equivalent. Using the options argument, it is possible to combine different types of listeners:
  A delayed, one-time listener that auto stops the event and adds a custom argument (forumId) to the options object. The options object is available as the third parameter in the handler function.

  Code:

      el.on('click', this.onClick, this, {
          single: true,
          delay: 100,
          stopEvent : true,
          forumId: 4
      });

  Attaching multiple handlers in 1 call
  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

  Code:

      el.on({
          'click' : {
              fn: this.onClick,
              scope: this,
              delay: 100
          },
          'mouseover' : {
              fn: this.onMouseOver,
              scope: this
          },
          'mouseout' : {
              fn: this.onMouseOut,
              scope: this
          }
      });

  Or a shorthand syntax:
  Code:

      el.on({
          'click' : this.onClick,
          'mouseover' : this.onMouseOver,
          'mouseout' : this.onMouseOut,
          scope: this
      });

  delegate

  This is a configuration option that you can pass along when registering a handler for an event to assist with event delegation. Event delegation is a technique that is used to reduce memory consumption and prevent exposure to memory-leaks. By registering an event for a container element as opposed to each element within a container. By setting this configuration option to a simple selector, the target element will be filtered to look for a descendant of the target. For example:

      // using this markup:
      <div id='elId'>
          <p id='p1'>paragraph one</p>
          <p id='p2' class='clickable'>paragraph two</p>
          <p id='p3'>paragraph three</p>
      </div>
      // utilize event delegation to registering just one handler on the container element:
      el = Ext.get('elId');
      el.on(
          'click',
          function(e,t) {
              // handle click
              console.info(t.id); // 'p2'
          },
          this,
          {
              // filter the target element to be a descendant with the class 'clickable'
              delegate: '.clickable'
          }
      );

Returns:

- `Ext.Element`
  this

Element

alignTo( `Mixed element`, `String position`, [`Array offsets`], [`Boolean/Object animate`] ) : Ext.Element
Aligns this element with another element relative to the specified anchor points. If the other element is the documen...
Aligns this element with another element relative to the specified anchor points. If the other element is the document it aligns it to the viewport. The position parameter is optional, and can be specified in any one of the following formats:

- Blank: Defaults to aligning the element's top-left corner to the target's bottom-left corner ("tl-bl").
- One anchor (deprecated): The passed anchor position is used as the target element's anchor point. The element being aligned will position its top-left corner (tl) to that point. This method has been deprecated in favor of the newer two anchor syntax below.
- Two anchors: If two values from the table below are passed separated by a dash, the first value is used as the element's anchor point, and the second value is used as the target's anchor point.

In addition to the anchor points, the position parameter also supports the "?" character. If "?" is passed at the end of the position string, the element will attempt to align as specified, but the position will be adjusted to constrain to the viewport if necessary. Note that the element being aligned might be swapped to align to a different position than that specified in order to enforce the viewport constraints. Following are all of the supported anchor positions:

    Value  Description
    -----  -----------------------------
    tl     The top left corner (default)
    t      The center of the top edge
    tr     The top right corner
    l      The center of the left edge
    c      In the center of the element
    r      The center of the right edge
    bl     The bottom left corner
    b      The center of the bottom edge
    br     The bottom right corner

Example Usage:

    // align el to other-el using the default positioning ("tl-bl", non-constrained)
    el.alignTo("other-el");

    // align the top left corner of el with the top right corner of other-el (constrained to viewport)
    el.alignTo("other-el", "tr?");

    // align the bottom right corner of el with the center left edge of other-el
    el.alignTo("other-el", "br-l?");

    // align the center of el with the bottom left corner of other-el and
    // adjust the x position by -6 pixels (and the y position by 0)
    el.alignTo("other-el", "c-bl", [-6, 0]);

Parameters:

- `element` : Mixed
  The element to align to.
- `position` : String
  (optional, defaults to "tl-bl?") The position to align to.
- `offsets` : Array
  (optional) Offset the positioning by [x, y]
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

anchorTo( `Mixed element`, `String position`, [`Array offsets`], [`Boolean/Object animate`], [`Boolean/Number monitorScroll`], `Function callback` ) : Ext.Element
Anchors an element to another element and realigns it when the window is resized.
Anchors an element to another element and realigns it when the window is resized.
Parameters:

- `element` : Mixed
  The element to align to.
- `position` : String
  The position to align to.
- `offsets` : Array
  (optional) Offset the positioning by [x, y]
- `animate` : Boolean/Object
  (optional) True for the default animation or a standard Element animation config object
- `monitorScroll` : Boolean/Number
  (optional) True to monitor body scroll and reposition. If this parameter is a number, it is used as the buffer delay (defaults to 50ms).
- `callback` : Function
  The function to call after the animation finishes

Returns:

- `Ext.Element`
  this

Element

animate( `Object args`, [`Float duration`], [`Function onComplete`], [`String easing`], [`String animType`] ) : Ext.Element
Perform custom animation on this element. <ul class="mdetail-params"> Animation Properties The Animation Control Obje...
Perform custom animation on this element.

- Animation Properties

The Animation Control Object enables gradual transitions for any member of an element's style object that takes a numeric value including but not limited to these properties:

- `bottom, top, left, right`
- `height, width`
- `margin, padding`
- `borderWidth`
- `opacity`
- `fontSize`
- `lineHeight`

- Animation Property Attributes

Each Animation Property is a config object with optional properties:

- `by`* : relative change - start at current value, change by this value
- `from` : ignore current value, start from this value
- `to`* : start at current value, go to this value
- `unit` : any allowable unit specification

* do not specify both `to` and `by` for an animation property

- Animation Types

The supported animation types:

- `'run'` : Default

      var el = Ext.get('complexEl');
      el.animate(
          // animation control object
          {
              borderWidth: {to: 3, from: 0},
              opacity: {to: .3, from: 1},
              height: {to: 50, from: el.getHeight()},
              width: {to: 300, from: el.getWidth()},
              top  : {by: - 100, unit: 'px'},
          },
          0.35,      // animation duration
          null,      // callback
          'easeOut', // easing method
          'run'      // animation type ('run','color','motion','scroll')
      );

- `'color'`

  Animates transition of background, text, or border colors.

      el.animate(
          // animation control object
          {
              color: { to: '#06e' },
              backgroundColor: { to: '#e06' }
          },
          0.35,      // animation duration
          null,      // callback
          'easeOut', // easing method
          'color'    // animation type ('run','color','motion','scroll')
      );

- `'motion'`

  Animates the motion of an element to/from specific points using optional bezier way points during transit.

      el.animate(
          // animation control object
          {
              borderWidth: {to: 3, from: 0},
              opacity: {to: .3, from: 1},
              height: {to: 50, from: el.getHeight()},
              width: {to: 300, from: el.getWidth()},
              top  : {by: - 100, unit: 'px'},
              points: {
                  to: [50, 100],  // go to this point
                  control: [      // optional bezier way points
                      [ 600, 800],
                      [-100, 200]
                  ]
              }
          },
          3000,      // animation duration (milliseconds!)
          null,      // callback
          'easeOut', // easing method
          'motion'   // animation type ('run','color','motion','scroll')
      );

- `'scroll'`

  Animate horizontal or vertical scrolling of an overflowing page element.

      el.animate(
          // animation control object
          {
              scroll: {to: [400, 300]}
          },
          0.35,      // animation duration
          null,      // callback
          'easeOut', // easing method
          'scroll'   // animation type ('run','color','motion','scroll')
      );

Parameters:

- `args` : Object
  The animation control args
- `duration` : Float
  (optional) How long the animation lasts in seconds (defaults to `.35`)
- `onComplete` : Function
  (optional) Function to call when animation completes
- `easing` : String
  (optional) Ext.Fx.easing method to use (defaults to `'easeOut'`)
- `animType` : String
  (optional) `'run'` is the default. Can also be `'color'`, `'motion'`, or `'scroll'`

Returns:

- `Ext.Element`
  this

Element

appendChild( `String/HTMLElement/Array/Element/CompositeElement el` ) : Ext.Element
Appends the passed element(s) to this element
Appends the passed element(s) to this element
Parameters:

- `el` : String/HTMLElement/Array/Element/CompositeElement

Returns:

- `Ext.Element`
  this

Element

appendTo( `Mixed el` ) : Ext.Element
Appends this element to the passed element
Appends this element to the passed element
Parameters:

- `el` : Mixed
  The new parent element

Returns:

- `Ext.Element`
  this

Element

applyStyles( `String/Object/Function styles` ) : Ext.Element
More flexible version of setStyle for setting style properties.
More flexible version of setStyle for setting style properties.
Parameters:

- `styles` : String/Object/Function
  A style specification string, e.g. "width:100px", or object in the form {width:"100px"}, or a function which returns such a specification.

Returns:

- `Ext.Element`
  this

Element

blur() : Ext.Element
Tries to blur the element. Any exceptions are caught and ignored.
Tries to blur the element. Any exceptions are caught and ignored.
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

boxWrap( [`String class`] ) : Ext.Element
Wraps the specified element with a special 9 element markup/CSS block that renders by default as a gray container wit...

Wraps the specified element with a special 9 element markup/CSS block that renders by default as a gray container with a gradient background, rounded corners and a 4-way shadow.

This special markup is used throughout Ext when box wrapping elements (Ext.Button, Ext.Panel when `frame=true`, Ext.Window). The markup is of this form:

    Ext.Element.boxMarkup =
        '<div class="{0}-tl"><div class="{0}-tr"><div class="{0}-tc"></div></div></div>
         <div class="{0}-ml"><div class="{0}-mr"><div class="{0}-mc"></div></div></div>
         <div class="{0}-bl"><div class="{0}-br"><div class="{0}-bc"></div></div></div>';

Example usage:

    // Basic box wrap
        Ext.get("foo").boxWrap();

        // You can also add a custom class and use CSS inheritance rules to customize the box look.
        // 'x-box-blue' is a built-in alternative -- look at the related CSS definitions as an example
        // for how to create a custom box wrap style.
        Ext.get("foo").boxWrap().addClass("x-box-blue");

Parameters:

- `class` : String
  (optional) A base CSS class to apply to the containing wrapper element (defaults to `'x-box'`). Note that there are a number of CSS rules that are dependent on this name to make the overall effect work, so if you supply an alternate base class, make sure you also supply all of the necessary rules.

Returns:

- `Ext.Element`
  The outermost wrapping element of the created box structure.

Element

center( [`Mixed centerIn`] ) : void
Centers the Element in either the viewport, or another Element.
Centers the Element in either the viewport, or another Element.
Parameters:

- `centerIn` : Mixed
  (optional) The element in which to center the element.

Returns:

- void

Element

child( `String selector`, [`Boolean returnDom`] ) : HTMLElement/Ext.Element
Selects a single child at any depth below this element based on the passed CSS selector (the selector should not cont...
Selects a single child at any depth below this element based on the passed CSS selector (the selector should not contain an id).
Parameters:

- `selector` : String
  The CSS selector
- `returnDom` : Boolean
  (optional) True to return the DOM node instead of Ext.Element (defaults to false)

Returns:

- `HTMLElement/Ext.Element`
  The child Ext.Element (or DOM node if returnDom = true)

Element

clean( [`Boolean forceReclean`] ) : void
Removes worthless text nodes
Removes worthless text nodes
Parameters:

- `forceReclean` : Boolean
  (optional) By default the element keeps track if it has been cleaned already so you can call this over and over. However, if you update the element and need to force a reclean, you can pass true.

Returns:

- void

Element

clearOpacity() : Ext.Element
Clears any opacity settings from this element. Required in some cases for IE.
Clears any opacity settings from this element. Required in some cases for IE.
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

clearPositioning( [`String value`] ) : Ext.Element
Clear positioning back to the default when the document was loaded
Clear positioning back to the default when the document was loaded
Parameters:

- `value` : String
  (optional) The value to use for the left,right,top,bottom, defaults to '' (empty string). You could use 'auto'.

Returns:

- `Ext.Element`
  this

Element

clip() : Ext.Element
Store the current overflow setting and clip overflow on the element - use unclip to remove
Store the current overflow setting and clip overflow on the element - use `unclip` to remove
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

contains( `HTMLElement/String el` ) : Boolean
Returns true if this element is an ancestor of the passed element
Returns true if this element is an ancestor of the passed element
Parameters:

- `el` : HTMLElement/String
  The element to check

Returns:

- `Boolean`
  True if this element is an ancestor of el, else false

Element

createChild( `Object config`, [`HTMLElement insertBefore`], [`Boolean returnDom`] ) : Ext.Element
Creates the passed DomHelper config and appends it to this element or optionally inserts it before the passed child e...
Creates the passed DomHelper config and appends it to this element or optionally inserts it before the passed child element.
Parameters:

- `config` : Object
  DomHelper element config object. If no tag is specified (e.g., {tag:'input'}) then a div will be automatically generated with the specified attributes.
- `insertBefore` : HTMLElement
  (optional) a child element of this element
- `returnDom` : Boolean
  (optional) true to return the dom node instead of creating an Element

Returns:

- `Ext.Element`
  The new child element

Element

createProxy( `String/Object config`, [`String/HTMLElement renderTo`], [`Boolean matchBox`] ) : Ext.Element
Creates a proxy element of this element
Creates a proxy element of this element
Parameters:

- `config` : String/Object
  The class name of the proxy element or a DomHelper config object
- `renderTo` : String/HTMLElement
  (optional) The element or element id to render the proxy to (defaults to document.body)
- `matchBox` : Boolean
  (optional) True to align and size the proxy to this element now (defaults to false)

Returns:

- `Ext.Element`
  The new proxy element

Element

createShim() : Ext.Element
Creates an iframe shim for this element to keep selects and other windowed objects from showing through.
Creates an iframe shim for this element to keep selects and other windowed objects from showing through.
Parameters:

- None.

Returns:

- `Ext.Element`
  The new shim element

Element

down( `String selector`, [`Boolean returnDom`] ) : HTMLElement/Ext.Element
Selects a single *direct* child based on the passed CSS selector (the selector should not contain an id).
Selects a single *direct* child based on the passed CSS selector (the selector should not contain an id).
Parameters:

- `selector` : String
  The CSS selector
- `returnDom` : Boolean
  (optional) True to return the DOM node instead of Ext.Element (defaults to false)

Returns:

- `HTMLElement/Ext.Element`
  The child Ext.Element (or DOM node if returnDom = true)

Element

enableDisplayMode( [`String display`] ) : Ext.Element
Convenience method for setVisibilityMode(Element.DISPLAY)
Convenience method for setVisibilityMode(Element.DISPLAY)
Parameters:

- `display` : String
  (optional) What to set display to when visible

Returns:

- `Ext.Element`
  this

Element

findParent( `String selector`, [`Number/Mixed maxDepth`], [`Boolean returnEl`] ) : HTMLElement
Looks at this node and then at parent nodes for a match of the passed simple selector (e.g. div.some-class or span:fi...
Looks at this node and then at parent nodes for a match of the passed simple selector (e.g. div.some-class or span:first-child)
Parameters:

- `selector` : String
  The simple selector to test
- `maxDepth` : Number/Mixed
  (optional) The max depth to search as a number or element (defaults to 50 || document.body)
- `returnEl` : Boolean
  (optional) True to return a Ext.Element object instead of DOM node

Returns:

- `HTMLElement`
  The matching DOM node (or null if no match was found)

Element

findParentNode( `String selector`, [`Number/Mixed maxDepth`], [`Boolean returnEl`] ) : HTMLElement
Looks at parent nodes for a match of the passed simple selector (e.g. div.some-class or span:first-child)
Looks at parent nodes for a match of the passed simple selector (e.g. div.some-class or span:first-child)
Parameters:

- `selector` : String
  The simple selector to test
- `maxDepth` : Number/Mixed
  (optional) The max depth to search as a number or element (defaults to 10 || document.body)
- `returnEl` : Boolean
  (optional) True to return a Ext.Element object instead of DOM node

Returns:

- `HTMLElement`
  The matching DOM node (or null if no match was found)

Element

first( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the first child, skipping text nodes
Gets the first child, skipping text nodes
Parameters:

- `selector` : String
  (optional) Find the next sibling that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The first child or null

Element

fly( `String/HTMLElement el`, [`String named`] ) : Element
Gets the globally shared flyweight Element, with the passed node as the active element. Do not store a reference to t...

Gets the globally shared flyweight Element, with the passed node as the active element. Do not store a reference to this element - the dom node can be overwritten by other code. Shorthand of Ext.Element.fly

Use this to make one-time references to DOM elements which are not going to be accessed again either by application code, or by Ext's classes. If accessing an element which will be processed regularly, then Ext.get will be more appropriate to take advantage of the caching provided by the Ext.Element class.

Parameters:

- `el` : String/HTMLElement
  The dom node or id
- `named` : String
  (optional) Allows for creation of named reusable flyweights to prevent conflicts (e.g. internally Ext uses "_global")

Returns:

- `Element`
  The shared Element object (or null if no matching element was found)

Element

focus( [`Number defer`] ) : Ext.Element
Tries to focus the element. Any exceptions are caught and ignored.
Tries to focus the element. Any exceptions are caught and ignored.
Parameters:

- `defer` : Number
  (optional) Milliseconds to defer the focus

Returns:

- `Ext.Element`
  this

Element

getAlignToXY( `Mixed element`, `String position`, [`Array offsets`] ) : Array
Gets the x,y coordinates to align this element with another element. See alignTo for more info on the supported posit...
Gets the x,y coordinates to align this element with another element. See alignTo for more info on the supported position values.
Parameters:

- `element` : Mixed
  The element to align to.
- `position` : String
  (optional, defaults to "tl-bl?") The position to align to.
- `offsets` : Array
  (optional) Offset the positioning by [x, y]

Returns:

- `Array`
  [x, y]

Element

getAnchorXY( [`String anchor`], [`Boolean local`], [`Object size`] ) : Array
Gets the x,y coordinates specified by the anchor position on the element.
Gets the x,y coordinates specified by the anchor position on the element.
Parameters:

- `anchor` : String
  (optional) The specified anchor position (defaults to "c"). See alignTo for details on supported anchor positions.
- `local` : Boolean
  (optional) True to get the local (element top/left-relative) anchor position instead of page coordinates
- `size` : Object
  (optional) An object containing the size to use for calculating anchor position {width: (target width), height: (target height)} (defaults to the element's current size)

Returns:

- `Array`
  [x, y] An array containing the element's x and y coordinates

Element

getAttribute( `String name`, [`String namespace`] ) : String
Returns the value of an attribute from the element's underlying DOM node.
Returns the value of an attribute from the element's underlying DOM node.
Parameters:

- `name` : String
  The attribute name
- `namespace` : String
  (optional) The namespace in which to look for the attribute

Returns:

- `String`
  The attribute value

Element

getAttributeNS( `String namespace`, `String name` ) : String
Returns the value of a namespaced attribute from the element's underlying DOM node.
Returns the value of a namespaced attribute from the element's underlying DOM node.
Parameters:

- `namespace` : String
  The namespace in which to look for the attribute
- `name` : String
  The attribute name

Returns:

- `String`
  The attribute value

Element

getBorderWidth( `String side` ) : Number
Gets the width of the border(s) for the specified side(s)
Gets the width of the border(s) for the specified side(s)
Parameters:

- `side` : String
  Can be t, l, r, b or any combination of those to add multiple values. For example, passing `'lr'` would get the border left width + the border right width.

Returns:

- `Number`
  The width of the sides passed added together

Element

getBottom( `Boolean local` ) : Number
Gets the bottom Y coordinate of the element (element Y position + element height)
Gets the bottom Y coordinate of the element (element Y position + element height)
Parameters:

- `local` : Boolean
  True to get the local css position instead of page coordinate

Returns:

- `Number`

Element

getBox( [`Boolean contentBox`], [`Boolean local`] ) : Object
Return an object defining the area of this Element which can be passed to setBox to set another Element's size/locati...
Return an object defining the area of this Element which can be passed to setBox to set another Element's size/location to match this element.
Parameters:

- `contentBox` : Boolean
  (optional) If true a box for the content of the element is returned.
- `local` : Boolean
  (optional) If true the element's left and top are returned instead of page x/y.

Returns:

- `Object`
  box An object in the format<pre><code> { x: &lt;Element's X position>, y: &lt;Element's Y position>, width: &lt;Element's width>, height: &lt;Element's height>, bottom: &lt;Element's lower bound>, right: &lt;Element's rightmost bound> } </code></pre> The returned object may also be addressed as an Array where index 0 contains the X position and index 1 contains the Y position. So the result may also be used for {@link #setXY}

Element

getCenterXY() : Array
Calculates the x, y to center this element on the screen
Calculates the x, y to center this element on the screen
Parameters:

- None.

Returns:

- `Array`
  The x, y values [x, y]

Element

getColor( `String attr`, `String defaultValue`, [`String prefix`] ) : void
Return the CSS color for the specified CSS attribute. rgb, 3 digit (like #fff) and valid values are convert to standa...
Return the CSS color for the specified CSS attribute. rgb, 3 digit (like #fff) and valid values are convert to standard 6 digit hex color.
Parameters:

- `attr` : String
  The css attribute
- `defaultValue` : String
  The default value to use when a valid color isn't found
- `prefix` : String
  (optional) defaults to #. Use an empty string when working with color anims.

Returns:

- void

Element

getComputedHeight() : Number
Returns either the offsetHeight or the height of this element based on CSS height adjusted by padding or borders when...
Returns either the offsetHeight or the height of this element based on CSS height adjusted by padding or borders when needed to simulate offsetHeight when offsets aren't available. This may not work on display:none elements if a height has not been set using CSS.
Parameters:

- None.

Returns:

- `Number`

Element

getComputedWidth() : Number
Returns either the offsetWidth or the width of this element based on CSS width adjusted by padding or borders when ne...
Returns either the offsetWidth or the width of this element based on CSS width adjusted by padding or borders when needed to simulate offsetWidth when offsets aren't available. This may not work on display:none elements if a width has not been set using CSS.
Parameters:

- None.

Returns:

- `Number`

Element

getFrameWidth( `String sides` ) : Number
Returns the sum width of the padding and borders for the passed "sides". See getBorderWidth() for more infor...
Returns the sum width of the padding and borders for the passed "sides". See getBorderWidth() for more information about the sides.
Parameters:

- `sides` : String

Returns:

- `Number`

Element

getHeight( [`Boolean contentHeight`] ) : Number
Returns the offset height of the element
Returns the offset height of the element
Parameters:

- `contentHeight` : Boolean
  (optional) true to get the height minus borders and padding

Returns:

- `Number`
  The element's height

Element

getLeft( `Boolean local` ) : Number
Gets the left X coordinate
Gets the left X coordinate
Parameters:

- `local` : Boolean
  True to get the local css position instead of page coordinate

Returns:

- `Number`

Element

getMargins( [`String sides`] ) : Object/Number
Returns an object with properties top, left, right and bottom representing the margins of this element unless sides i...
Returns an object with properties top, left, right and bottom representing the margins of this element unless sides is passed, then it returns the calculated width of the sides (see getPadding)
Parameters:

- `sides` : String
  (optional) Any combination of l, r, t, b to get the sum of those sides

Returns:

- `Object/Number`

Element

getOffsetsTo( `Mixed element` ) : Array
Returns the offsets of this element from the passed element. Both element must be part of the DOM tree and not have d...
Returns the offsets of this element from the passed element. Both element must be part of the DOM tree and not have display:none to have page coordinates.
Parameters:

- `element` : Mixed
  The element to get the offsets from.

Returns:

- `Array`
  The XY page offsets (e.g. [100, -200])

Element

getPadding( `String side` ) : Number
Gets the width of the padding(s) for the specified side(s)
Gets the width of the padding(s) for the specified side(s)
Parameters:

- `side` : String
  Can be t, l, r, b or any combination of those to add multiple values. For example, passing `'lr'` would get the padding left + the padding right.

Returns:

- `Number`
  The padding of the sides passed added together

Element

getPositioning() : Object
Gets an object with all CSS positioning properties. Useful along with setPostioning to get snapshot before performing...
Gets an object with all CSS positioning properties. Useful along with setPostioning to get snapshot before performing an update and then restoring the element.
Parameters:

- None.

Returns:

- `Object`

Element

getRegion() : Region
Returns the region of the given element. The element must be part of the DOM tree to have a region (display:none or e...
Returns the region of the given element. The element must be part of the DOM tree to have a region (display:none or elements not appended return false).
Parameters:

- None.

Returns:

- `Region`
  A Ext.lib.Region containing "top, left, bottom, right" member data.

Element

getRight( `Boolean local` ) : Number
Gets the right X coordinate of the element (element X position + element width)
Gets the right X coordinate of the element (element X position + element width)
Parameters:

- `local` : Boolean
  True to get the local css position instead of page coordinate

Returns:

- `Number`

Element

getScroll() : Object
Returns the current scroll position of the element.
Returns the current scroll position of the element.
Parameters:

- None.

Returns:

- `Object`
  An object containing the scroll position in the format {left: (scrollLeft), top: (scrollTop)}

Element

getSize( [`Boolean contentSize`] ) : Object
Returns the size of the element.
Returns the size of the element.
Parameters:

- `contentSize` : Boolean
  (optional) true to get the width/size minus borders and padding

Returns:

- `Object`
  An object containing the element's size {width: (element width), height: (element height)}

Element

getStyle( `String property` ) : String
Normalizes currentStyle and computedStyle.
Normalizes currentStyle and computedStyle.
Parameters:

- `property` : String
  The style property whose value is returned.

Returns:

- `String`
  The current value of the style property for this element.

Element

getStyleSize() : void
Returns the dimensions of the element available to lay content out in. getStyleSize utilizes prefers style sizing if ...

Returns the dimensions of the element available to lay content out in.

getStyleSize utilizes prefers style sizing if present, otherwise it chooses the larger of offsetHeight/clientHeight and offsetWidth/clientWidth. To obtain the size excluding scrollbars, use getViewSize Sizing of the document body is handled at the adapter level which handles special cases for IE and strict modes, etc.

Parameters:

- None.

Returns:

- void

Element

getStyles( `String style1`, `String style2`, `String etc.` ) : Object
Returns an object with properties matching the styles requested. For example, el.getStyles('color', 'font-size', 'wid...
Returns an object with properties matching the styles requested. For example, el.getStyles('color', 'font-size', 'width') might return {'color': '#FFFFFF', 'font-size': '13px', 'width': '100px'}.
Parameters:

- `style1` : String
  A style name
- `style2` : String
  A style name
- `etc.` : String

Returns:

- `Object`
  The style object

Element

getTextWidth( `String text`, [`Number min`], [`Number max`] ) : Number
Returns the width in pixels of the passed text, or the width of the text in this Element.
Returns the width in pixels of the passed text, or the width of the text in this Element.
Parameters:

- `text` : String
  The text to measure. Defaults to the innerHTML of the element.
- `min` : Number
  (Optional) The minumum value to return.
- `max` : Number
  (Optional) The maximum value to return.

Returns:

- `Number`
  The text width in pixels.

Element

getTop( `Boolean local` ) : Number
Gets the top Y coordinate
Gets the top Y coordinate
Parameters:

- `local` : Boolean
  True to get the local css position instead of page coordinate

Returns:

- `Number`

Element

getUpdater() : Ext.Updater
Gets this element's Updater
Gets this element's Updater
Parameters:

- None.

Returns:

- `Ext.Updater`
  The Updater

Element

getValue( `Boolean asNumber` ) : String/Number
Returns the value of the "value" attribute
Returns the value of the "value" attribute
Parameters:

- `asNumber` : Boolean
  true to parse the value as a number

Returns:

- `String/Number`

Element

getViewSize() : void
Returns the dimensions of the element available to lay content out in. If the element (or any ancestor element) has C...

Returns the dimensions of the element available to lay content out in.

If the element (or any ancestor element) has CSS style `display : none`, the dimensions will be zero.

example:

    var vpSize = Ext.getBody().getViewSize();

            // all Windows created afterwards will have a default value of 90% height and 95% width
            Ext.Window.override({
                width: vpSize.width * 0.9,
                height: vpSize.height * 0.95
            });
            // To handle window resizing you would have to hook onto onWindowResize.

getViewSize utilizes clientHeight/clientWidth which excludes sizing of scrollbars. To obtain the size including scrollbars, use getStyleSize Sizing of the document body is handled at the adapter level which handles special cases for IE and strict modes, etc.
Parameters:

- None.

Returns:

- void

Element

getWidth( [`Boolean contentWidth`] ) : Number
Returns the offset width of the element
Returns the offset width of the element
Parameters:

- `contentWidth` : Boolean
  (optional) true to get the width minus borders and padding

Returns:

- `Number`
  The element's width

Element

getX() : Number
Gets the current X position of the element based on page coordinates. Element must be part of the DOM tree to have p...
Gets the current X position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- None.

Returns:

- `Number`
  The X position of the element

Element

getXY() : Array
Gets the current position of the element based on page coordinates. Element must be part of the DOM tree to have pag...
Gets the current position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- None.

Returns:

- `Array`
  The XY position of the element

Element

getY() : Number
Gets the current Y position of the element based on page coordinates. Element must be part of the DOM tree to have p...
Gets the current Y position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- None.

Returns:

- `Number`
  The Y position of the element

Element

handleError( `Object/Error e` ) : void
Framework-wide error-handler. Developers can override this method to provide custom exception-handling. Framework e...
Framework-wide error-handler. Developers can override this method to provide custom exception-handling. Framework errors will often extend from the base Ext.Error class.
Parameters:

- `e` : Object/Error
  The thrown exception object.

Returns:

- void

Element

hasClass( `String className` ) : Boolean
Checks if the specified CSS class exists on this element's DOM node.
Checks if the specified CSS class exists on this element's DOM node.
Parameters:

- `className` : String
  The CSS class to check for

Returns:

- `Boolean`
  True if the class exists, else false

Element

hide( [`Boolean/Object animate`] ) : Ext.Element
Hide this element - Uses display mode to determine whether to use "display" or "visibility". See setVisible.
Hide this element - Uses display mode to determine whether to use "display" or "visibility". See setVisible.
Parameters:

- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

hover( `Function overFn`, `Function outFn`, [`Object scope`], [`Object options`] ) : Ext.Element
Sets up event handlers to call the passed functions when the mouse is moved into and out of the Element.
Sets up event handlers to call the passed functions when the mouse is moved into and out of the Element.
Parameters:

- `overFn` : Function
  The function to call when the mouse enters the Element.
- `outFn` : Function
  The function to call when the mouse leaves the Element.
- `scope` : Object
  (optional) The scope (`this` reference) in which the functions are executed. Defaults to the Element's DOM element.
- `options` : Object
  (optional) Options for the listener. See the `options` parameter.

Returns:

- `Ext.Element`
  this

Element

initDD( `String group`, `Object config`, `Object overrides` ) : Ext.dd.DD
Initializes a Ext.dd.DD drag drop object for this element.
Initializes a Ext.dd.DD drag drop object for this element.
Parameters:

- `group` : String
  The group the DD object is member of
- `config` : Object
  The DD config object
- `overrides` : Object
  An object containing methods to override/implement on the DD object

Returns:

- `Ext.dd.DD`
  The DD object

Element

initDDProxy( `String group`, `Object config`, `Object overrides` ) : Ext.dd.DDProxy
Initializes a Ext.dd.DDProxy object for this element.
Initializes a Ext.dd.DDProxy object for this element.
Parameters:

- `group` : String
  The group the DDProxy object is member of
- `config` : Object
  The DDProxy config object
- `overrides` : Object
  An object containing methods to override/implement on the DDProxy object

Returns:

- `Ext.dd.DDProxy`
  The DDProxy object

Element

initDDTarget( `String group`, `Object config`, `Object overrides` ) : Ext.dd.DDTarget
Initializes a Ext.dd.DDTarget object for this element.
Initializes a Ext.dd.DDTarget object for this element.
Parameters:

- `group` : String
  The group the DDTarget object is member of
- `config` : Object
  The DDTarget config object
- `overrides` : Object
  An object containing methods to override/implement on the DDTarget object

Returns:

- `Ext.dd.DDTarget`
  The DDTarget object

Element

insertAfter( `Mixed el` ) : Ext.Element
Inserts this element after the passed element in the DOM
Inserts this element after the passed element in the DOM
Parameters:

- `el` : Mixed
  The element to insert after

Returns:

- `Ext.Element`
  this

Element

insertBefore( `Mixed el` ) : Ext.Element
Inserts this element before the passed element in the DOM
Inserts this element before the passed element in the DOM
Parameters:

- `el` : Mixed
  The element before which this element will be inserted

Returns:

- `Ext.Element`
  this

Element

insertFirst( `Mixed/Object el` ) : Ext.Element
Inserts (or creates) an element (or DomHelper config) as the first child of this element
Inserts (or creates) an element (or DomHelper config) as the first child of this element
Parameters:

- `el` : Mixed/Object
  The id or element to insert or a DomHelper config to create and insert

Returns:

- `Ext.Element`
  The new child

Element

insertHtml( `String where`, `String html`, [`Boolean returnEl`] ) : HTMLElement/Ext.Element
Inserts an html fragment into this element
Inserts an html fragment into this element
Parameters:

- `where` : String
  Where to insert the html in relation to this element - beforeBegin, afterBegin, beforeEnd, afterEnd.
- `html` : String
  The HTML fragment
- `returnEl` : Boolean
  (optional) True to return an Ext.Element (defaults to false)

Returns:

- `HTMLElement/Ext.Element`
  The inserted node (or nearest related if more than 1 inserted)

Element

insertSibling( `Mixed/Object/Array el`, [`String where`], [`Boolean returnDom`] ) : Ext.Element
Inserts (or creates) the passed element (or DomHelper config) as a sibling of this element
Inserts (or creates) the passed element (or DomHelper config) as a sibling of this element
Parameters:

- `el` : Mixed/Object/Array
  The id, element to insert or a DomHelper config to create and insert *or* an array of any of those.
- `where` : String
  (optional) 'before' or 'after' defaults to before
- `returnDom` : Boolean
  (optional) True to return the raw DOM element instead of Ext.Element

Returns:

- `Ext.Element`
  The inserted Element. If an array is passed, the last inserted element is returned.

Element

is( `String selector` ) : Boolean
Returns true if this element matches the passed simple selector (e.g. div.some-class or span:first-child)
Returns true if this element matches the passed simple selector (e.g. div.some-class or span:first-child)
Parameters:

- `selector` : String
  The simple selector to test

Returns:

- `Boolean`
  True if this element matches the selector, else false

Element

isBorderBox() : Boolean
Tests various css rules/browsers to determine if this element uses a border box
Tests various css rules/browsers to determine if this element uses a border box
Parameters:

- None.

Returns:

- `Boolean`

Element

isDisplayed() : Boolean
Returns true if display is not "none"
Returns true if display is not "none"
Parameters:

- None.

Returns:

- `Boolean`

Element

isMasked() : Boolean
Returns true if this element is masked
Returns true if this element is masked
Parameters:

- None.

Returns:

- `Boolean`

Element

isScrollable() : Boolean
Returns true if this element is scrollable.
Returns true if this element is scrollable.
Parameters:

- None.

Returns:

- `Boolean`

Element

isVisible( [`Boolean deep`] ) : Boolean
Checks whether the element is currently visible using both visibility and display properties.
Checks whether the element is currently visible using both visibility and display properties.
Parameters:

- `deep` : Boolean
  (optional) True to walk the dom and see if parent elements are hidden (defaults to false)

Returns:

- `Boolean`
  True if the element is currently visible, else false

Element

last( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the last child, skipping text nodes
Gets the last child, skipping text nodes
Parameters:

- `selector` : String
  (optional) Find the previous sibling that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The last child or null

Element

load() : Ext.Element
Direct access to the Updater Ext.Updater.update method. The method takes the same object parameter as Ext.Updater.upd...
Direct access to the Updater Ext.Updater.update method. The method takes the same object parameter as Ext.Updater.update
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

mask( [`String msg`], [`String msgCls`] ) : Element
Puts a mask over this element to disable user interaction. Requires core.css. This method can only be applied to elem...
Puts a mask over this element to disable user interaction. Requires core.css. This method can only be applied to elements which accept child nodes.
Parameters:

- `msg` : String
  (optional) A message to display in the mask
- `msgCls` : String
  (optional) A css class to apply to the msg element

Returns:

- `Element`
  The mask element

Element

move( `String direction`, `Number distance`, [`Boolean/Object animate`] ) : Ext.Element
Move this element relative to its current position.
Move this element relative to its current position.
Parameters:

- `direction` : String
  Possible values are: "l" (or "left"), "r" (or "right"), "t" (or "top", or "up"), "b" (or "bottom", or "down").
- `distance` : Number
  How far to move the element in pixels
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

moveTo( `Number x`, `Number y`, [`Boolean/Object animate`] ) : Ext.Element
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must b...
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `x` : Number
  X value for new position (coordinates are page-based)
- `y` : Number
  Y value for new position (coordinates are page-based)
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

next( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the next sibling, skipping text nodes
Gets the next sibling, skipping text nodes
Parameters:

- `selector` : String
  (optional) Find the next sibling that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The next sibling or null

Element

on( `String eventName`, `Function fn`, [`Object scope`], [`Object options`] ) : void
Appends an event handler (shorthand for addListener).
Appends an event handler (shorthand for addListener).
Parameters:

- `eventName` : String
  The name of event to handle.
- `fn` : Function
  The handler function the event invokes.
- `scope` : Object
  (optional) The scope (`this` reference) in which the handler function is executed.
- `options` : Object
  (optional) An object containing standard addListener options

Returns:

- void

Element

parent( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the parent node for this element, optionally chaining up trying to match a selector
Gets the parent node for this element, optionally chaining up trying to match a selector
Parameters:

- `selector` : String
  (optional) Find a parent node that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The parent node or null

Element

position( [`String pos`], [`Number zIndex`], [`Number x`], [`Number y`] ) : void
Initializes positioning on this element. If a desired position is not passed, it will make the the element positioned...
Initializes positioning on this element. If a desired position is not passed, it will make the the element positioned relative IF it is not already positioned.
Parameters:

- `pos` : String
  (optional) Positioning to use "relative", "absolute" or "fixed"
- `zIndex` : Number
  (optional) The zIndex to apply
- `x` : Number
  (optional) Set the page X position
- `y` : Number
  (optional) Set the page Y position

Returns:

- void

Element

prev( [`String selector`], [`Boolean returnDom`] ) : Ext.Element/HTMLElement
Gets the previous sibling, skipping text nodes
Gets the previous sibling, skipping text nodes
Parameters:

- `selector` : String
  (optional) Find the previous sibling that matches the passed simple selector
- `returnDom` : Boolean
  (optional) True to return a raw dom node instead of an Ext.Element

Returns:

- `Ext.Element/HTMLElement`
  The previous sibling or null

Element

purgeAllListeners() : Ext.Element
Recursively removes all previous added listeners from this element and its children
Recursively removes all previous added listeners from this element and its children
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

query( `String selector` ) : Array
Selects child nodes based on the passed CSS selector (the selector should not contain an id).
Selects child nodes based on the passed CSS selector (the selector should not contain an id).
Parameters:

- `selector` : String
  The CSS selector

Returns:

- `Array`
  An array of the matched nodes

Element

radioClass( `String/Array className` ) : Ext.Element
Adds one or more CSS classes to this element and removes the same class(es) from all siblings.
Adds one or more CSS classes to this element and removes the same class(es) from all siblings.
Parameters:

- `className` : String/Array
  The CSS class to add, or an array of classes

Returns:

- `Ext.Element`
  this

Element

relayEvent( `String eventName`, `Object object` ) : void
Create an event handler on this element such that when the event fires and is handled by this element, it will be rel...
Create an event handler on this element such that when the event fires and is handled by this element, it will be relayed to another object (i.e., fired again as if it originated from that object instead).
Parameters:

- `eventName` : String
  The type of event to relay
- `object` : Object
  Any object that extends Ext.util.Observable that will provide the context for firing the relayed event

Returns:

- void

Element

remove() : void
Removes this element's dom reference. Note that event and cache removal is handled at Ext.removeNode

Removes this element's dom reference. Note that event and cache removal is handled at Ext.removeNode

Parameters:

- None.

Returns:

- void

Element

removeAllListeners() : Ext.Element
Removes all previous added listeners from this element
Removes all previous added listeners from this element
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

removeAnchor() : Ext.Element
Remove any anchor to this element. See anchorTo.
Remove any anchor to this element. See anchorTo.
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

removeClass( `String/Array className` ) : Ext.Element
Removes one or more CSS classes from the element.
Removes one or more CSS classes from the element.
Parameters:

- `className` : String/Array
  The CSS class to remove, or an array of classes

Returns:

- `Ext.Element`
  this

Element

removeListener( `String eventName`, `Function fn`, `Object scope` ) : Ext.Element
Removes an event handler from this element. The shorthand version un is equivalent. Note: if a scope was explicitly ...
Removes an event handler from this element. The shorthand version un is equivalent. Note: if a scope was explicitly specified when adding the listener, the same scope must be specified here. Example:

    el.removeListener('click', this.handlerFn);
    // or
    el.un('click', this.handlerFn);

Parameters:

- `eventName` : String
  The name of the event from which to remove the handler.
- `fn` : Function
  The handler function to remove. This must be a reference to the function passed into the addListener call.
- `scope` : Object
  If a scope (`this` reference) was specified when the listener was added, then this must refer to the same object.

Returns:

- `Ext.Element`
  this

Element

repaint() : Ext.Element
Forces the browser to repaint this element
Forces the browser to repaint this element
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

replace( `Mixed el` ) : Ext.Element
Replaces the passed element with this element
Replaces the passed element with this element
Parameters:

- `el` : Mixed
  The element to replace

Returns:

- `Ext.Element`
  this

Element

replaceClass( `String oldClassName`, `String newClassName` ) : Ext.Element
Replaces a CSS class on the element with another. If the old name does not exist, the new name will simply be added.
Replaces a CSS class on the element with another. If the old name does not exist, the new name will simply be added.
Parameters:

- `oldClassName` : String
  The CSS class to replace
- `newClassName` : String
  The replacement CSS class

Returns:

- `Ext.Element`
  this

Element

replaceWith( `Mixed/Object el` ) : Ext.Element
Replaces this element with the passed element
Replaces this element with the passed element
Parameters:

- `el` : Mixed/Object
  The new element or a DomHelper config of an element to create

Returns:

- `Ext.Element`
  this

Element

scroll( `String direction`, `Number distance`, [`Boolean/Object animate`] ) : Boolean
Scrolls this element the specified direction. Does bounds checking to make sure the scroll is within this element's s...
Scrolls this element the specified direction. Does bounds checking to make sure the scroll is within this element's scrollable range.
Parameters:

- `direction` : String
  Possible values are: "l" (or "left"), "r" (or "right"), "t" (or "top", or "up"), "b" (or "bottom", or "down").
- `distance` : Number
  How far to scroll the element in pixels
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Boolean`
  Returns true if a scroll was triggered or false if the element was scrolled as far as it could go.

Element

scrollIntoView( [`Mixed container`], [`Boolean hscroll`] ) : Ext.Element
Scrolls this element into view within the passed container.
Scrolls this element into view within the passed container.
Parameters:

- `container` : Mixed
  (optional) The container element to scroll (defaults to document.body). Should be a string (id), dom node, or Ext.Element.
- `hscroll` : Boolean
  (optional) False to disable horizontal scroll (defaults to true)

Returns:

- `Ext.Element`
  this

Element

scrollTo( `String side`, `Number value`, [`Boolean/Object animate`] ) : Element
Scrolls this element the specified scroll point. It does NOT do bounds checking so if you scroll to a weird value it ...
Scrolls this element the specified scroll point. It does NOT do bounds checking so if you scroll to a weird value it will try to do it. For auto bounds checking, use scroll().
Parameters:

- `side` : String
  Either "left" for scrollLeft values or "top" for scrollTop values.
- `value` : Number
  The new scroll value
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Element`
  this

Element

select( `String selector`, [`Boolean unique`] ) : CompositeElement/CompositeElementLite
Creates a Ext.CompositeElement for child nodes based on the passed CSS selector (the selector should not contain an i...
Creates a Ext.CompositeElement for child nodes based on the passed CSS selector (the selector should not contain an id).
Parameters:

- `selector` : String
  The CSS selector
- `unique` : Boolean
  (optional) True to create a unique Ext.Element for each child (defaults to false, which creates a single shared flyweight object)

Returns:

- `CompositeElement/CompositeElementLite`
  The composite element

Element

set( `Object o`, [`Boolean useSet`] ) : Ext.Element
Sets the passed attributes as attributes of this element (a style attribute can be a string, object or function)
Sets the passed attributes as attributes of this element (a style attribute can be a string, object or function)
Parameters:

- `o` : Object
  The object with the attributes
- `useSet` : Boolean
  (optional) false to override the default setAttribute to use expandos.

Returns:

- `Ext.Element`
  this

Element

setBottom( `String bottom` ) : Ext.Element
Sets the element's CSS bottom style.
Sets the element's CSS bottom style.
Parameters:

- `bottom` : String
  The bottom CSS property value

Returns:

- `Ext.Element`
  this

Element

setBounds( `Number x`, `Number y`, `Mixed width`, `Mixed height`, [`Boolean/Object animate`] ) : Ext.Element
Sets the element's position and size in one shot. If animation is true then width, height, x and y will be animated c...
Sets the element's position and size in one shot. If animation is true then width, height, x and y will be animated concurrently.
Parameters:

- `x` : Number
  X value for new position (coordinates are page-based)
- `y` : Number
  Y value for new position (coordinates are page-based)
- `width` : Mixed
  The new width. This may be one of:
  - A Number specifying the new width in this Element's defaultUnits (by default, pixels)
  - A String used to set the CSS width style. Animation may not be used.
- `height` : Mixed
  The new height. This may be one of:
  - A Number specifying the new height in this Element's defaultUnits (by default, pixels)
  - A String used to set the CSS height style. Animation may not be used.
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setBox( `Object box`, [`Boolean adjust`], [`Boolean/Object animate`] ) : Ext.Element
Sets the element's box. Use getBox() on another element to get a box obj. If animate is true then width, height, x an...
Sets the element's box. Use getBox() on another element to get a box obj. If animate is true then width, height, x and y will be animated concurrently.
Parameters:

- `box` : Object
  The box to fill {x, y, width, height}
- `adjust` : Boolean
  (optional) Whether to adjust for box-model issues automatically
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setDisplayed( `Mixed value` ) : Ext.Element
Sets the CSS display property. Uses originalDisplay if the specified value is a boolean true.
Sets the CSS display property. Uses originalDisplay if the specified value is a boolean true.
Parameters:

- `value` : Mixed
  Boolean value to display the element using its default display, or a string to set the display directly.

Returns:

- `Ext.Element`
  this

Element

setHeight( `Mixed height`, [`Boolean/Object animate`] ) : Ext.Element
Set the height of this Element. // change the height to 200px and animate with default configuration Ext.fly('element...
Set the height of this Element.

    // change the height to 200px and animate with default configuration
    Ext.fly('elementId').setHeight(200, true);

    // change the height to 150px and animate with a custom configuration
    Ext.fly('elId').setHeight(150, {
        duration : .5, // animation will have a duration of .5 seconds
        // will change the content to "finished"
        callback: function(){ this.update("finished"); }
    });

Parameters:

- `height` : Mixed
  The new height. This may be one of:
  - A Number specifying the new height in this Element's defaultUnits (by default, pixels.)
  - A String used to set the CSS height style. Animation may not be used.
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setLeft( `String left` ) : Ext.Element
Sets the element's left position directly using CSS style (instead of setX).
Sets the element's left position directly using CSS style (instead of setX).
Parameters:

- `left` : String
  The left CSS property value

Returns:

- `Ext.Element`
  this

Element

setLeftTop( `String left`, `String top` ) : Ext.Element
Quick set left and top adding default units
Quick set left and top adding default units
Parameters:

- `left` : String
  The left CSS property value
- `top` : String
  The top CSS property value

Returns:

- `Ext.Element`
  this

Element

setLocation( `Number x`, `Number y`, [`Boolean/Object animate`] ) : Ext.Element
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must b...
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `x` : Number
  X value for new position (coordinates are page-based)
- `y` : Number
  Y value for new position (coordinates are page-based)
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setOpacity( `Float opacity`, [`Boolean/Object animate`] ) : Ext.Element
Set the opacity of the element
Set the opacity of the element
Parameters:

- `opacity` : Float
  The new opacity. 0 = transparent, .5 = 50% visibile, 1 = fully visible, etc
- `animate` : Boolean/Object
  (optional) a standard Element animation config object or `true` for the default animation (`{duration: .35, easing: 'easeIn'}`)

Returns:

- `Ext.Element`
  this

Element

setPositioning( `Object posCfg` ) : Ext.Element
Set positioning with an object returned by getPositioning().
Set positioning with an object returned by getPositioning().
Parameters:

- `posCfg` : Object

Returns:

- `Ext.Element`
  this

Element

setRegion( `Ext.lib.Region region`, [`Boolean/Object animate`] ) : Ext.Element
Sets the element's position and size the specified region. If animation is true then width, height, x and y will be a...
Sets the element's position and size the specified region. If animation is true then width, height, x and y will be animated concurrently.
Parameters:

- `region` : Ext.lib.Region
  The region to fill
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setRight( `String right` ) : Ext.Element
Sets the element's CSS right style.
Sets the element's CSS right style.
Parameters:

- `right` : String
  The right CSS property value

Returns:

- `Ext.Element`
  this

Element

setSize( `Mixed width`, `Mixed height`, [`Boolean/Object animate`] ) : Ext.Element
Set the size of this Element. If animation is true, both width and height will be animated concurrently.
Set the size of this Element. If animation is true, both width and height will be animated concurrently.
Parameters:

- `width` : Mixed
  The new width. This may be one of:
  - A Number specifying the new width in this Element's defaultUnits (by default, pixels).
  - A String used to set the CSS width style. Animation may not be used.
  - A size object in the format `{width: widthValue, height: heightValue}`.
- `height` : Mixed
  The new height. This may be one of:
  - A Number specifying the new height in this Element's defaultUnits (by default, pixels).
  - A String used to set the CSS height style. Animation may not be used.
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setStyle( `String/Object property`, [`String value`] ) : Ext.Element
Wrapper for setting style properties, also takes single object parameter of multiple styles.
Wrapper for setting style properties, also takes single object parameter of multiple styles.
Parameters:

- `property` : String/Object
  The style property to be set, or an object of multiple styles.
- `value` : String
  (optional) The value to apply to the given property, or null if an object was passed.

Returns:

- `Ext.Element`
  this

Element

setTop( `String top` ) : Ext.Element
Sets the element's top position directly using CSS style (instead of setY).
Sets the element's top position directly using CSS style (instead of setY).
Parameters:

- `top` : String
  The top CSS property value

Returns:

- `Ext.Element`
  this

Element

setVisibilityMode( `Number visMode` ) : Ext.Element
Sets the element's visibility mode. When setVisible() is called it will use this to determine whether to set the visi...
Sets the element's visibility mode. When setVisible() is called it will use this to determine whether to set the visibility or the display property.
Parameters:

- `visMode` : Number
  Ext.Element.VISIBILITY or Ext.Element.DISPLAY

Returns:

- `Ext.Element`
  this

Element

setVisible( `Boolean visible`, [`Boolean/Object animate`] ) : Ext.Element
Sets the visibility of the element (see details). If the visibilityMode is set to Element.DISPLAY, it will use the di...
Sets the visibility of the element (see details). If the visibilityMode is set to Element.DISPLAY, it will use the display property to hide the element, otherwise it uses visibility. The default is to hide and show using the visibility property.
Parameters:

- `visible` : Boolean
  Whether the element is visible
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setWidth( `Mixed width`, [`Boolean/Object animate`] ) : Ext.Element
Set the width of this Element.
Set the width of this Element.
Parameters:

- `width` : Mixed
  The new width. This may be one of:
  - A Number specifying the new width in this Element's defaultUnits (by default, pixels).
  - A String used to set the CSS width style. Animation may not be used.
- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setX( `Number The`, [`Boolean/Object animate`] ) : Ext.Element
Sets the X position of the element based on page coordinates. Element must be part of the DOM tree to have page coor...
Sets the X position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `The` : Number
  X position of the element
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setXY( `Array pos`, [`Boolean/Object animate`] ) : Ext.Element
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must b...
Sets the position of the element in page coordinates, regardless of how the element is positioned. The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `pos` : Array
  Contains X & Y [x, y] values for new position (coordinates are page-based)
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setY( `Number The`, [`Boolean/Object animate`] ) : Ext.Element
Sets the Y position of the element based on page coordinates. Element must be part of the DOM tree to have page coor...
Sets the Y position of the element based on page coordinates. Element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
Parameters:

- `The` : Number
  Y position of the element
- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

setZIndex( `Number zindex` ) : this
Sets the z-index of this layer and adjusts any shadow and shim z-indexes. The layer z-index is automatically incremen...
Sets the z-index of this layer and adjusts any shadow and shim z-indexes. The layer z-index is automatically incremented by two more than the value passed in so that it always shows above any shadow or shim (the shadow element, if any, will be assigned z-index + 1, and the shim element, if any, will be assigned the unmodified z-index).
Parameters:

- `zindex` : Number
  The new z-index to set

Returns:

- `this`
  The Layer

Layer

show( [`Boolean/Object animate`] ) : Ext.Element
Show this element - Uses display mode to determine whether to use "display" or "visibility". See setVisible.
Show this element - Uses display mode to determine whether to use "display" or "visibility". See setVisible.
Parameters:

- `animate` : Boolean/Object
  (optional) true for the default animation or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

swallowEvent( `String/Array eventName`, [`Boolean preventDefault`] ) : Ext.Element
Stops the specified event(s) from bubbling and optionally prevents the default action
Stops the specified event(s) from bubbling and optionally prevents the default action
Parameters:

- `eventName` : String/Array
  an event / array of events to stop from bubbling
- `preventDefault` : Boolean
  (optional) true to prevent the default action too

Returns:

- `Ext.Element`
  this

Element

toggle( [`Boolean/Object animate`] ) : Ext.Element
Toggles the element's visibility or display, depending on visibility mode.
Toggles the element's visibility or display, depending on visibility mode.
Parameters:

- `animate` : Boolean/Object
  (optional) True for the default animation, or a standard Element animation config object

Returns:

- `Ext.Element`
  this

Element

toggleClass( `String className` ) : Ext.Element
Toggles the specified CSS class on this element (removes it if it already exists, otherwise adds it).
Toggles the specified CSS class on this element (removes it if it already exists, otherwise adds it).
Parameters:

- `className` : String
  The CSS class to toggle

Returns:

- `Ext.Element`
  this

Element

translatePoints( `Number/Array x`, [`Number y`] ) : Object
Translates the passed page coordinates into left/top css values for this element
Translates the passed page coordinates into left/top css values for this element
Parameters:

- `x` : Number/Array
  The page x or an array containing [x, y]
- `y` : Number
  (optional) The page y, required if x is not an array

Returns:

- `Object`
  An object with left and top properties. e.g. {left: (value), top: (value)}

Element

un( `String eventName`, `Function fn`, `Object scope` ) : Ext.Element
Removes an event handler from this element (see removeListener for additional notes).
Removes an event handler from this element (see removeListener for additional notes).
Parameters:

- `eventName` : String
  The name of the event from which to remove the handler.
- `fn` : Function
  The handler function to remove. This must be a reference to the function passed into the addListener call.
- `scope` : Object
  If a scope (`this` reference) was specified when the listener was added, then this must refer to the same object.

Returns:

- `Ext.Element`
  this

Element

unclip() : Ext.Element
Return clipping (overflow) to original clipping before clip was called
Return clipping (overflow) to original clipping before `clip` was called
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

unmask() : void
Removes a previously applied mask.
Removes a previously applied mask.
Parameters:

- None.

Returns:

- void

Element

unselectable() : Ext.Element
Disables text selection for this element (normalized across browsers)
Disables text selection for this element (normalized across browsers)
Parameters:

- None.

Returns:

- `Ext.Element`
  this

Element

up( `String selector`, [`Number/Mixed maxDepth`] ) : Ext.Element
Walks up the dom looking for a parent node that matches the passed simple selector (e.g. div.some-class or span:first...
Walks up the dom looking for a parent node that matches the passed simple selector (e.g. div.some-class or span:first-child). This is a shortcut for findParentNode() that always returns an Ext.Element.
Parameters:

- `selector` : String
  The simple selector to test
- `maxDepth` : Number/Mixed
  (optional) The max depth to search as a number or element (defaults to 10 || document.body)

Returns:

- `Ext.Element`
  The matching DOM node (or null if no match was found)

Element

update( `String html`, [`Boolean loadScripts`], [`Function callback`] ) : Ext.Element
Update the innerHTML of this element, optionally searching for and processing scripts
Update the innerHTML of this element, optionally searching for and processing scripts
Parameters:

- `html` : String
  The new HTML
- `loadScripts` : Boolean
  (optional) True to look for and process scripts (defaults to false)
- `callback` : Function
  (optional) For async script loading you can be notified when the update completes

Returns:

- `Ext.Element`
  this

Element

wrap( [`Object config`], [`Boolean returnDom`] ) : HTMLElement/Element
Creates and wraps this element with another element
Creates and wraps this element with another element
Parameters:

- `config` : Object
  (optional) DomHelper element config object for the wrapper element or null for an empty div
- `returnDom` : Boolean
  (optional) True to return the raw DOM element instead of Ext.Element

Returns:

- `HTMLElement/Element`
  The newly created wrapper element

Element

## Public Events

Event | Defined By
--- | ---

DOMActivate : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Fires when an element is activated, for instance, through a mouse click or a keypress.
Where supported. Fires when an element is activated, for instance, through a mouse click or a keypress.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMAttrModified : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Fires when an attribute has been modified.
Where supported. Fires when an attribute has been modified.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMCharacterDataModified : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Fires when the character data has been modified.
Where supported. Fires when the character data has been modified.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMFocusIn : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Similar to HTML focus event, but can be applied to any focusable element.
Where supported. Similar to HTML focus event, but can be applied to any focusable element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMFocusOut : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Similar to HTML blur event, but can be applied to any focusable element.
Where supported. Similar to HTML blur event, but can be applied to any focusable element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMNodeInserted : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Fires when a node has been added as a child of another node.
Where supported. Fires when a node has been added as a child of another node.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMNodeInsertedIntoDocument : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Fires when a node is being inserted into a document.
Where supported. Fires when a node is being inserted into a document.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMNodeRemoved : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Fires when a descendant node of the element is removed.
Where supported. Fires when a descendant node of the element is removed.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMNodeRemovedFromDocument : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Fires when a node is being removed from a document.
Where supported. Fires when a node is being removed from a document.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

DOMSubtreeModified : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Where supported. Fires when the subtree is modified.
Where supported. Fires when the subtree is modified.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

abort : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when an object/image is stopped from loading before completely loaded.
Fires when an object/image is stopped from loading before completely loaded.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

blur : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when an element loses focus either via the pointing device or by tabbing navigation.
Fires when an element loses focus either via the pointing device or by tabbing navigation.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

change : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a control loses the input focus and its value has been modified since gaining focus.
Fires when a control loses the input focus and its value has been modified since gaining focus.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

click : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a mouse click is detected within the element.
Fires when a mouse click is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

contextmenu : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a right click is detected within the element.
Fires when a right click is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

dblclick : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a mouse double click is detected within the element.
Fires when a mouse double click is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

error : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when an object/image/frame cannot be loaded properly.
Fires when an object/image/frame cannot be loaded properly.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

focus : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when an element receives focus either via the pointing device or by tab navigation.
Fires when an element receives focus either via the pointing device or by tab navigation.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

keydown : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a keydown is detected within the element.
Fires when a keydown is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

keypress : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a keypress is detected within the element.
Fires when a keypress is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

keyup : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a keyup is detected within the element.
Fires when a keyup is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

load : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when the user agent finishes loading all content within the element. Only supported by window, frames, objects ...
Fires when the user agent finishes loading all content within the element. Only supported by window, frames, objects and images.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

mousedown : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a mousedown is detected within the element.
Fires when a mousedown is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

mouseenter : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when the mouse enters the element.
Fires when the mouse enters the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

mouseleave : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when the mouse leaves the element.
Fires when the mouse leaves the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

mousemove : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a mousemove is detected with the element.
Fires when a mousemove is detected with the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

mouseout : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a mouseout is detected with the element.
Fires when a mouseout is detected with the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

mouseover : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a mouseover is detected within the element.
Fires when a mouseover is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

mouseup : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a mouseup is detected within the element.
Fires when a mouseup is detected within the element.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

reset : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a form is reset.
Fires when a form is reset.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

resize : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a document view is resized.
Fires when a document view is resized.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

scroll : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a document view is scrolled.
Fires when a document view is scrolled.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

select : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a user selects some text in a text field, including input and textarea.
Fires when a user selects some text in a text field, including input and textarea.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

submit : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when a form is submitted.
Fires when a form is submitted.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element

unload : ( `Ext.EventObject e`, `HtmlElement t`, `Object o` )
Fires when the user agent removes all content from a window or frame. For elements, it fires when the target element ...
Fires when the user agent removes all content from a window or frame. For elements, it fires when the target element or any of its content has been removed.
Listeners will be called with the following arguments:

- `e` : Ext.EventObject
  The Ext.EventObject encapsulating the DOM event.
- `t` : HtmlElement
  The target of the event.
- `o` : Object
  The options configuration passed to the addListener call.

Element